> For the complete documentation index, see [llms.txt](https://docs.wortise.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wortise.com/en/react-native/sdk-integration/rewarded.md).

# Rewarded

## Integration

To make use of rewarded ads, it is needed to request their load at some point inside the app, being recommended to do it as soon as possible. This can be done by using the following code:

```typescript
import { RNWortiseRewarded } from '@wortise/react-native-sdk';

RNWortiseRewarded.setAdUnitId('Wortise Ad Unit ID');
RNWortiseRewarded.loadAd();
```

Next, to show the ad in the desired moment, you can use the `showAd()` and `isAvailable` methods just as shown in the following example:

```typescript
if (await RNWortiseRewarded.isAvailable) {
    RNWortiseRewarded.showAd();
}
```

## **Listener setup**

Some listeners can be added to receive the different events that may occur during the ad lifecycle. For this, it is needed to use the `addEventListener` method and specify which event type to receive, which can be one of the following:

* `onRewardedClicked`
* `onRewardedCompleted`
* `onRewardedDismissed`
* `onRewardedFailedToLoad`
* `onRewardedFailedToShow`
* `onRewardedImpression`
* `onRewardedLoaded`
* `onRewardedRevenuePaid`
* `onRewardedShown`

### Ejemplo

```typescript
RNWortiseRewarded.addEventListener('onRewardedCompleted', ({ amount, label, success }) => {
  // The callback will be invoked when the ad is completed
});

RNWortiseRewarded.addEventListener('onRewardedLoaded', () => {
  // The callback will be invoked when an ad is loaded
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wortise.com/en/react-native/sdk-integration/rewarded.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
